/// <reference types="node" />
import { SmartBuffer, SmartBufferOptions } from "smart-buffer";
import { IRect } from "./Types";
export default class SmarterBuffer extends SmartBuffer {
    static fromBuffer(buff: Buffer, encoding?: BufferEncoding): SmarterBuffer;
    private lastByteCache;
    private lastByteCacheOffset;
    private lastByteCacheBitOffset;
    constructor(options?: SmartBufferOptions);
    readRect(): IRect;
    readFixed(size?: 16 | 32): number;
    readUBits(n: number): number;
    readBits(n: number): number;
    readEncodedU32(): number;
    readS24(): number;
    readEncodedU30(): number;
}
