import SmarterBuffer from "./../SmarterBuffer";
import { IAbcFile } from "./types";
/**
 * Spec: https://wwwimages2.adobe.com/content/dam/acom/en/devnet/pdf/avm2overview.pdf
 * Page 18 onwards
 */
export default class AbcFileReader {
    private buffer;
    constructor(buffer: SmarterBuffer);
    readFile(): IAbcFile;
    private readConstantPool;
    private buildConstant;
    private readMethods;
    private readMetadataInfos;
    private readTrait;
    private readClass;
    private readScript;
    private readInstances;
    private readExceptions;
    private readMethodBodies;
    private readInstruction;
}
