export interface INamespaceInfo {
    kind: NamespaceKind;
    name: string;
}
export declare enum NamespaceKind {
    Namespace = 8,
    PackageNamespace = 22,
    PackageInternalNs = 23,
    ProtectedNamespace = 24,
    ExplicitNamespace = 25,
    StaticProtectedNs = 26,
    PrivateNs = 5
}
export interface INamespaceSetInfo {
    count: number;
    namespaces: INamespaceInfo[];
}
