"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SwfSignature;
(function (SwfSignature) {
    SwfSignature["None"] = "FWS";
    SwfSignature["Zlib"] = "CWS";
    SwfSignature["Lzma"] = "ZWS";
})(SwfSignature = exports.SwfSignature || (exports.SwfSignature = {}));
var TagCode;
(function (TagCode) {
    TagCode[TagCode["End"] = 0] = "End";
    TagCode[TagCode["ShowFrame"] = 1] = "ShowFrame";
    TagCode[TagCode["DefineShape"] = 2] = "DefineShape";
    TagCode[TagCode["PlaceObject"] = 4] = "PlaceObject";
    TagCode[TagCode["RemoveObject"] = 5] = "RemoveObject";
    TagCode[TagCode["DefineBits"] = 6] = "DefineBits";
    TagCode[TagCode["DefineButton"] = 7] = "DefineButton";
    TagCode[TagCode["JPEGTables"] = 8] = "JPEGTables";
    TagCode[TagCode["SetBackgroundColor"] = 9] = "SetBackgroundColor";
    TagCode[TagCode["DefineFont"] = 10] = "DefineFont";
    TagCode[TagCode["DefineText"] = 11] = "DefineText";
    TagCode[TagCode["DoAction"] = 12] = "DoAction";
    TagCode[TagCode["DefineFontInfo"] = 13] = "DefineFontInfo";
    TagCode[TagCode["DefineSound"] = 14] = "DefineSound";
    TagCode[TagCode["StartSound"] = 15] = "StartSound";
    TagCode[TagCode["DefineButtonSound"] = 17] = "DefineButtonSound";
    TagCode[TagCode["SoundStreamHead"] = 18] = "SoundStreamHead";
    TagCode[TagCode["SoundStreamBlock"] = 19] = "SoundStreamBlock";
    TagCode[TagCode["DefineBitsLossless"] = 20] = "DefineBitsLossless";
    TagCode[TagCode["DefineBitsJPEG2"] = 21] = "DefineBitsJPEG2";
    TagCode[TagCode["DefineShape2"] = 22] = "DefineShape2";
    TagCode[TagCode["DefineButtonCxform"] = 23] = "DefineButtonCxform";
    TagCode[TagCode["Protect"] = 24] = "Protect";
    TagCode[TagCode["PlaceObject2"] = 26] = "PlaceObject2";
    TagCode[TagCode["RemoveObject2"] = 28] = "RemoveObject2";
    TagCode[TagCode["DefineShape3"] = 32] = "DefineShape3";
    TagCode[TagCode["DefineText2"] = 33] = "DefineText2";
    TagCode[TagCode["DefineButton2"] = 34] = "DefineButton2";
    TagCode[TagCode["DefineBitsJPEG3"] = 35] = "DefineBitsJPEG3";
    TagCode[TagCode["DefineBitsLossless2"] = 36] = "DefineBitsLossless2";
    TagCode[TagCode["DefineEditText"] = 37] = "DefineEditText";
    TagCode[TagCode["DefineSprite"] = 39] = "DefineSprite";
    TagCode[TagCode["ProductInfo"] = 41] = "ProductInfo";
    TagCode[TagCode["FrameLabel"] = 43] = "FrameLabel";
    TagCode[TagCode["SoundStreamHead2"] = 45] = "SoundStreamHead2";
    TagCode[TagCode["DefineMorphShape"] = 46] = "DefineMorphShape";
    TagCode[TagCode["DefineFont2"] = 48] = "DefineFont2";
    TagCode[TagCode["ExportAssets"] = 56] = "ExportAssets";
    TagCode[TagCode["ImportAssets"] = 57] = "ImportAssets";
    TagCode[TagCode["EnableDebugger"] = 58] = "EnableDebugger";
    TagCode[TagCode["DoInitAction"] = 59] = "DoInitAction";
    TagCode[TagCode["DefineVideoStream"] = 60] = "DefineVideoStream";
    TagCode[TagCode["VideoFrame"] = 61] = "VideoFrame";
    TagCode[TagCode["DefineFontInfo2"] = 62] = "DefineFontInfo2";
    TagCode[TagCode["EnableDebugger2"] = 64] = "EnableDebugger2";
    TagCode[TagCode["ScriptLimits"] = 65] = "ScriptLimits";
    TagCode[TagCode["SetTabIndex"] = 66] = "SetTabIndex";
    TagCode[TagCode["FileAttributes"] = 69] = "FileAttributes";
    TagCode[TagCode["PlaceObject3"] = 70] = "PlaceObject3";
    TagCode[TagCode["ImportAssets2"] = 71] = "ImportAssets2";
    TagCode[TagCode["DefineFontAlignZones"] = 73] = "DefineFontAlignZones";
    TagCode[TagCode["CSMTextSettings"] = 74] = "CSMTextSettings";
    TagCode[TagCode["DefineFont3"] = 75] = "DefineFont3";
    TagCode[TagCode["SymbolClass"] = 76] = "SymbolClass";
    TagCode[TagCode["Metadata"] = 77] = "Metadata";
    TagCode[TagCode["DefineScalingGrid"] = 78] = "DefineScalingGrid";
    TagCode[TagCode["DoABC"] = 82] = "DoABC";
    TagCode[TagCode["DefineShape4"] = 83] = "DefineShape4";
    TagCode[TagCode["DefineMorphShape2"] = 84] = "DefineMorphShape2";
    TagCode[TagCode["DefineSceneAndFrameLabelData"] = 86] = "DefineSceneAndFrameLabelData";
    TagCode[TagCode["DefineBinaryData"] = 87] = "DefineBinaryData";
    TagCode[TagCode["DefineFontName"] = 88] = "DefineFontName";
    TagCode[TagCode["StartSound2"] = 89] = "StartSound2";
    TagCode[TagCode["DefineBitsJPEG4"] = 90] = "DefineBitsJPEG4";
    TagCode[TagCode["DefineFont4"] = 91] = "DefineFont4";
})(TagCode = exports.TagCode || (exports.TagCode = {}));
